package com.yunzhi.marketing.xlk.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 客户认购单 
 * </p>
 *
 * @author jobob
 * @since 2021-07-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("xlk_customer_subscribe")
public class CustomerSubscribe implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String customerSubscribeId;

    /**
     * 客户id
     */
    private String customerId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 客户姓名
     */
    private String name;

    /**
     * 推荐人（归属渠道）
     */
    private String recommendPerson;

    /**
     * 推荐人姓名（归属渠道）
     */
    private String recommendName;

    /**
     * 内场接待（置业顾问）
     */
    private String realtyConsultant;

    /**
     * 内场接待（置业顾问）姓名
     */
    private String realtyConsultantName;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 备注
     */
    private String remark;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 业绩分成人
     */
    private String dividendsName;

    /**
     * 比例
     */
    private String proportion;

    /**
     * 户型
     */
    private String houseType;

    /**
     * 栋
     */
    private String ridgepole;

    /**
     * 单元
     */
    private String unit;

    /**
     * 室
     */
    private String room;

    /**
     * 金额
     */
    private String price;


}
